Package org.jcsp.net

# Interface NetConnectionClient

All Superinterfaces:
  `ConnectionClient`, `Networked`

All Known Implementing Classes:
  `NetAltingConnectionClient`

public interface NetConnectionClient extends Networked, ConnectionClient
This interface should be implemented by classes that wish to act as Networked `ConnectionClient` objects.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`void`
`destroyClient()`
Destroys the `NetConnectionClient` object and frees any resources created within the JCSP.NET infrastructure.

### Methods inherited from interface org.jcsp.lang.ConnectionClient

`isOpen, reply, request`

### Methods inherited from interface org.jcsp.net.Networked

`getChannelLocation`

## Method Details

### destroyClient

void destroyClient()
Destroys the `NetConnectionClient` object and frees any resources created within the JCSP.NET infrastructure.